############################################################
#                       dynet spec file                    # 
############################################################
# Any line preceded by '#' will be ignored

verbosity_level_(0/1/2/3/4)			2

train_network?_(yes/no)				no
apply_network?_(yes/no)				yes

##### Network Architecture #####

NET:number_of_state_variables_(V)		2
NET:number_of_measured_state_variables_(Vm)	2
NET:number_of_external_inputs_(X)		2
NET:number_of_hidden_nodes_(H)			8
NET:data_scaling_(none/var/maxmin/netsize)	var
NET:input_weight_file				syn/syn.26a.wt

##### Training ######

TRN:output_weight_file				syn/syn.26a.wt
TRN:error_file                                  syn/syn.26a.err
TRN:form_of_weight_init_(uniform/gaussian)	uniform
TRN:initial_weight_range			0.1
TRN:random_number_seed				1325
TRN:optimization_method_(grd/macopt)		macopt
TRN:update_method_(1/3/4)			4

TRN:weight_decay_(none/default/list)		list
TRN:alpha_VH					0.01
TRN:alpha_XH					0.01
TRN:alpha_bH					0.01
TRN:alpha_HY					0.01
# NB beta refers to the scaled state variable.
TRN:use_beta_parameters?_(yes/no)		yes
TRN:beta					40000
TRN:beta					40000

TRN:number_of_temporal_process_files		50
syn/syn.26.000.tpin1
syn/syn.26.001.tpin1
syn/syn.26.002.tpin1
syn/syn.26.003.tpin1
syn/syn.26.004.tpin1
syn/syn.26.005.tpin1
syn/syn.26.006.tpin1
syn/syn.26.007.tpin1
syn/syn.26.008.tpin1
syn/syn.26.009.tpin1
syn/syn.26.010.tpin1
syn/syn.26.011.tpin1
syn/syn.26.012.tpin1
syn/syn.26.013.tpin1
syn/syn.26.014.tpin1
syn/syn.26.015.tpin1
syn/syn.26.016.tpin1
syn/syn.26.017.tpin1
syn/syn.26.018.tpin1
syn/syn.26.019.tpin1
syn/syn.26.020.tpin1
syn/syn.26.021.tpin1
syn/syn.26.022.tpin1
syn/syn.26.023.tpin1
syn/syn.26.024.tpin1
syn/syn.26.025.tpin1
syn/syn.26.026.tpin1
syn/syn.26.027.tpin1
syn/syn.26.028.tpin1
syn/syn.26.029.tpin1
syn/syn.26.030.tpin1
syn/syn.26.031.tpin1
syn/syn.26.032.tpin1
syn/syn.26.033.tpin1
syn/syn.26.034.tpin1
syn/syn.26.035.tpin1
syn/syn.26.036.tpin1
syn/syn.26.037.tpin1
syn/syn.26.038.tpin1
syn/syn.26.039.tpin1
syn/syn.26.040.tpin1
syn/syn.26.041.tpin1
syn/syn.26.042.tpin1
syn/syn.26.043.tpin1
syn/syn.26.044.tpin1
syn/syn.26.045.tpin1
syn/syn.26.046.tpin1
syn/syn.26.047.tpin1
syn/syn.26.048.tpin1
syn/syn.26.049.tpin1

##### Training (gradient descent) #####

GRD:number_of_iterations			100
GRD:learning_rate				0.01

##### Training (macopt) #####

MAC:convergence_tolerance_gradient		10.0
MAC:maximum_number_of_iterations		2000
MAC:perform_maccheckgrad?_(yes/no)		no
MAC:maccheckgrad_tolerance			0.000001

##### Application #####

APP:plot_file_name				syn/syn.26a.dat
APP:include_v(t=0)_in_plot_file?_(yes/no)	yes
APP:write_tper_files?_(yes/no)			yes
APP:number_of_temporal_process_files		100
syn/syn.26.000.tpin1
syn/syn.26.001.tpin1
syn/syn.26.002.tpin1
syn/syn.26.003.tpin1
syn/syn.26.004.tpin1
syn/syn.26.005.tpin1
syn/syn.26.006.tpin1
syn/syn.26.007.tpin1
syn/syn.26.008.tpin1
syn/syn.26.009.tpin1
syn/syn.26.010.tpin1
syn/syn.26.011.tpin1
syn/syn.26.012.tpin1
syn/syn.26.013.tpin1
syn/syn.26.014.tpin1
syn/syn.26.015.tpin1
syn/syn.26.016.tpin1
syn/syn.26.017.tpin1
syn/syn.26.018.tpin1
syn/syn.26.019.tpin1
syn/syn.26.020.tpin1
syn/syn.26.021.tpin1
syn/syn.26.022.tpin1
syn/syn.26.023.tpin1
syn/syn.26.024.tpin1
syn/syn.26.025.tpin1
syn/syn.26.026.tpin1
syn/syn.26.027.tpin1
syn/syn.26.028.tpin1
syn/syn.26.029.tpin1
syn/syn.26.030.tpin1
syn/syn.26.031.tpin1
syn/syn.26.032.tpin1
syn/syn.26.033.tpin1
syn/syn.26.034.tpin1
syn/syn.26.035.tpin1
syn/syn.26.036.tpin1
syn/syn.26.037.tpin1
syn/syn.26.038.tpin1
syn/syn.26.039.tpin1
syn/syn.26.040.tpin1
syn/syn.26.041.tpin1
syn/syn.26.042.tpin1
syn/syn.26.043.tpin1
syn/syn.26.044.tpin1
syn/syn.26.045.tpin1
syn/syn.26.046.tpin1
syn/syn.26.047.tpin1
syn/syn.26.048.tpin1
syn/syn.26.049.tpin1
syn/syn.26.050.tpin1
syn/syn.26.051.tpin1
syn/syn.26.052.tpin1
syn/syn.26.053.tpin1
syn/syn.26.054.tpin1
syn/syn.26.055.tpin1
syn/syn.26.056.tpin1
syn/syn.26.057.tpin1
syn/syn.26.058.tpin1
syn/syn.26.059.tpin1
syn/syn.26.060.tpin1
syn/syn.26.061.tpin1
syn/syn.26.062.tpin1
syn/syn.26.063.tpin1
syn/syn.26.064.tpin1
syn/syn.26.065.tpin1
syn/syn.26.066.tpin1
syn/syn.26.067.tpin1
syn/syn.26.068.tpin1
syn/syn.26.069.tpin1
syn/syn.26.070.tpin1
syn/syn.26.071.tpin1
syn/syn.26.072.tpin1
syn/syn.26.073.tpin1
syn/syn.26.074.tpin1
syn/syn.26.075.tpin1
syn/syn.26.076.tpin1
syn/syn.26.077.tpin1
syn/syn.26.078.tpin1
syn/syn.26.079.tpin1
syn/syn.26.080.tpin1
syn/syn.26.081.tpin1
syn/syn.26.082.tpin1
syn/syn.26.083.tpin1
syn/syn.26.084.tpin1
syn/syn.26.085.tpin1
syn/syn.26.086.tpin1
syn/syn.26.087.tpin1
syn/syn.26.088.tpin1
syn/syn.26.089.tpin1
syn/syn.26.090.tpin1
syn/syn.26.091.tpin1
syn/syn.26.092.tpin1
syn/syn.26.093.tpin1
syn/syn.26.094.tpin1
syn/syn.26.095.tpin1
syn/syn.26.096.tpin1
syn/syn.26.097.tpin1
syn/syn.26.098.tpin1
syn/syn.26.099.tpin1
